<?php
/*
  Plugin Name: a click tracker for universal analytics
  Plugin URI: http://accountingse.net/2012/09/582/
  Description: 全てのaタグのクリックをGoogle Analyticsのイベントに記録します。
  Version: 0.1
  Author: kazuo dobashi
  Author URI: https://twitter.com/kazunii_ac
  License: GPLv3
 */

/*  Copyright 2013 kazunii_ac (email : moskov@mcn.ne.jp)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
wp_enqueue_script('jquery');
if (is_admin()) {
    
} else {
    wp_enqueue_script('a-click-tracker_js', plugins_url() . '/a-click-tracker-for-universal-analytics/a-click-tracker-for-universal-analytics.js');
}
// 管理メニューのアクションフック
add_action('admin_menu', 'admin_menu_a_click_tracker');

// アクションフックのコールバッック関数
function admin_menu_a_click_tracker() {
    // 設定メニュー下にサブメニューを追加:
    add_options_page('a_click_tracker', 'a click tracker', 'manage_options', __FILE__, 'a_click_tracker_explain');
}

function a_click_tracker_explain() {
    ?>

    <div id="a_click_tracker_wrap">
        <h1>a click tracker</h1>
        <div id="a_click_tracker_ja">
            <div>
                <h2>概要 Overview</h2>
                このプラグインは、aタグのクリックを全てGoogle Analyticsの「イベント」に記録します。<br /><br />
                This plugin will record all clicks on a tag in Google Analytics 'Events'.
            </div>
            <div>
                <h2>意図 Intention</h2>
                このプラグインは、アフィリエイターさんの利用を想定しています。アクセス解析にGoogle Analyticsを使っている方は多いと思いますが、Google Analyticsだと自サイトからユーザが出て行った場合、どこから出て行ったのかがわかりません。それを記録できるようにしたのがこのプラグインです。<br /><br />
                This plug-in is supposed to be used by an affiliate. I think that there are many people who use Google Analytics for access analysis, but with Google Analytics, when a user leaves from your site, You cannot know where visitor leave from. This plug-in that made it possible to record it.
            </div>
            <div>
                <h2>必要条件 Requirement</h2> 
                Google Analytics ユニバーサルアナリティクス のコードが貼り付けられている必要があります。貼り付け方の制限は特にありません。プラグインやテーマの機能で設定されていてもいいですし、テーマに直書きしてもいいです。Google Analyticsのサイト上でアクセス状況を見ることができていればOKです。<br /><br />
                Google Analytics Universal Analytics code must be pasted. There is no particular restriction on how to paste. You can be set by plugin or theme functions, and you can write directly to the theme. It is OK if you can see the access status on the Google Analytics site.
            </div>
            <div>
                <h2>設定 Configuration</h2>
                設定作業は一切不要です。プラグインをインストール・有効化すれば動作し始めます。つまり、これを読めているあなたのサイトでは既にこのプラグインは動作しています。<br /><br />
                Setting work is absolutely unnecessary. Install and activate this plugin, it will start working. You already can read this message, then, this plugin is already running on your site.
            </div>
            <div>
                <h2>解析結果の見方 How to interpret the analysis result</h2>
				<a href="http://accountingse.net/2013/10/694/" target="_blank">http://accountingse.net/2013/10/694/</a>を参照して下さい。<br /><br />
				Please refer to <a href="http://accountingse.net/2013/10/694/" target="_blank">http://accountingse.net/2013/10/694/</a>.
            </div>
            <div>
                <h2>注意事項 Important notice</h2>
                このプラグインでトラッキングできるのは、自ドメインのaタグのクリックによる画面遷移のみです。このプラグインは主にアフィリエイターさんの使用を想定していますが、アフィリエイトリンクの中にはiframeを使って別ドメインの画像をバナーとして使用している場合もあり、その場合はトラッキングできません。日本の主なASP（アフィリエイトサービスプロバイダー）ですと、バリューコマースのバナーリンクはiframeを使用しているらしく、このプラグインではトラッキングできません。ご了承下さい。<br /><br />
                This plug-in can track only the screen transition by clicking on the a tag in its own domain. This plugin is mainly intended for use by affiliates, but some affiliate links use iframe to use images from another domain as a banner, in that case you can not track. With Japan's main ASP (Affiliate Service Provider), ValueCommerce's banner link seems to be using iframes, so it can not be tracked with this plugin. please note that.
            </div>
        </div>
	    <div style="margin:20px;padding:20px;border:#d0d0d0 dotted 5px;">
    	    <div>
				もっと複雑な条件でトラッキングしたい方へ：<br />
				個別のプラグイン開発をお仕事としてお請けします。
				<a href="https://twitter.com/kazunii_ac" target="_blank">
					twitter
				</a>
				または
				<a href="https://www.facebook.com/kazuo.dobashi" target="_blank">
					Facebook
				</a>
				でメッセージを下さい！<br />
				このプラグイン自体の機能拡張も細々と続けていきます。
				ご要望があれば
				<a href="https://twitter.com/kazunii_ac" target="_blank">
					twitter
				</a>
				か
				<a href="https://www.facebook.com/kazuo.dobashi" target="_blank">
					Facebook
				</a>
				でご連絡下さい。
        	</div>
        	<br />
    	    <div>
				To those who want to track under more complicated conditions：<br />
				I will undertake individual plug-in development as a job. Please give me a message on 
				<a href="https://twitter.com/kazunii_ac" target="_blank">
					twitter
				</a>
				or
				<a href="https://www.facebook.com/kazuo.dobashi" target="_blank">
					Facebook
				</a>
				!<br />
				I will continue to expand the functionality of this plug-in itself.  If you have any requests, Please contact me via twitter or Facebook.
        	</div>
	    </div>
    </div>
    <?php
}
?>